
._card_io7y8_2 {
  position: relative;
  text-wrap: balance;
>._covering_io7y8_6 {
    position: absolute;
    inset: 0;
    z-index: 1;
&:hover~._title_io7y8_11 {
      text-decoration: underline;
      text-decoration-thickness: 2px;
      text-underline-offset: 4px;
}
}
:is(button, input, a, select):not(._covering_io7y8_6) {
      position: relative;
      z-index: 2;
}
>._image_io7y8_23 {
      anchor-name: --card-image;
    overflow: hidden;
    border-radius: var(--fw-border-radius) var(--fw-border-radius) 0 0;
    object-fit: cover;
    aspect-ratio: 1 / 1;
    position: relative;
    pointer-events: none;
    margin-block-end: 12px;
&._with-padding_io7y8_33 {
      border-radius: var(--fw-border-radius);
      padding: var(--bleed-inline-start);
}
&:not(._with-padding_io7y8_33) {
        padding: 0;
}
&:has(>._circle_io7y8_42) {
      margin-block-end: 0;
      border-radius: 50%;
      padding: 16px;
> * {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 50%;
}
}
}
>._icon_io7y8_57 {
    position: absolute;
    top: 20px;
    right: 20px;

    font-size: 1rem;
&.large {
      font-size: 32px;
      margin: -8px;
}
}
&:has(>._image_io7y8_23)>._icon_io7y8_57 {
    top: var(--fw-card-padding);
    right: var(--fw-card-padding);

    font-size: 1.2rem;
}
&:has(>._icon_io7y8_57):not(:has(._image_io7y8_23))>._title_io7y8_11 {
    padding-right: 22px;
}
&._is-category_io7y8_79>._title_io7y8_11 {
    font-size: 1.75em;
    padding-bottom: .125em;
}
>._context_io7y8_84 {
    position: absolute;
    top: 0;
    right: 0;
}
>._tags_io7y8_90 {
    padding: 0 var(--fw-card-padding);
    margin: 8px  -4px 0px -4px;
}
>._content_io7y8_95 {
    overflow: hidden;
    padding: 0 var(--fw-card-padding);
    /* Consider making all line height, vertical paddings, margins and borders,
    a multiple of a global vertical rhythm so that side-by-side lines coincide */
    line-height: 24px;
}
>._footer_io7y8_103 {
    gap: 4px;
    padding: 0;
    margin-top: 0;
}
._topright_io7y8_109 {
    position: absolute;
    top: 10px;
    right: 10px;
}
._on-image_io7y8_115 {
    position: absolute;
    position-anchor: --card-image;

    position-area: block-end inline-end;

    inset: -48px;
}

  /*TODO(refactor): Remove special cases:*/

  /* If both card and an action control has a special color, draw foreground color line above that action control */
&:is(.primary, .destructive) > ._action_io7y8_127 :is(.primary, .destructive) {
      border-top-color: color-mix(in oklab, var(--color) 50%, transparent) !important;
}
>._action_io7y8_127 {
    display: flex;
    padding: 0;
    background: color-mix(in oklab, var(--fw-bg-color) 80%, var(--fw-gray-500));
    border-bottom-left-radius: var(--fw-border-radius);
    border-bottom-right-radius: var(--fw-border-radius);
    margin-top: 12px;
    z-index: 1;
>*:not(._with-padding_io7y8_33) {
      margin: 0;
      border-top-left-radius: 0;
      border-top-right-radius: 0;
&:not(:first-child) {
        border-bottom-left-radius: 0;
}
&:not(:last-child) {
        border-bottom-right-radius: 0;
}
}
}
}
